<?php

use yii\db\Migration;

class m241026_024240_obra_rubro extends Migration {
  public function safeUp() {
    $this->createTable('ObraRubro', [
      "id" => $this->string(36),
      "idObra" => $this->string(36),
      "idConceptoObra" => $this->string(36),
      "cantidad" => $this->decimal(10, 2),
      "descripcion" => $this->string(550),
      "fechaCompra" => $this->timestamp()->append(" with time zone"),
      "creado" => $this->timestamp()->append(" with time zone"),
      "modificado" => $this->timestamp()->append(" with time zone"),
      "eliminado" => $this->timestamp()->append(" with time zone"),
    ]);
    $this->addPrimaryKey('ObraRubroPK', 'ObraRubro', 'id');
    $this->addForeignKey("ObraRubroObraFK", "ObraRubro", "idObra", "Obra", "id");
    $this->addForeignKey("ObraRubroConceptoObraFK", "ObraRubro", "idConceptoObra", "ConceptoObra", "id");
  }
  public function safeDown() {
    $this->dropForeignKey("ObraRubroObraFK", "ObraRubro");
    $this->dropForeignKey("ObraRubroConceptoObraFK", "ObraRubro");
    $this->dropTable("ObraRubro");
  }
}
