<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "UnidadMedida".
 *
 * @property string $id
 * @property string|null $nombre
 * @property string|null $descripcion
 * 
 */
class UnidadMedida extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'UnidadMedida';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id'], 'string', 'max' => 36],
            [['nombre', 'descripcion'], 'string', 'max' => 100],
            [['id'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Clave',
            'descripcion' => 'Descripcion',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }
}
