<?php

namespace v1\models;

use app\models\Compra as ModeloCompra;

class Compra extends ModeloCompra
{

    public function fields()
    {
        return [
            'id',
            'idObra',
            'idUsuario',
            'fechaCompra',
            'creado',
            'modificado',

        ];
    }
    public function extraFields() {
        return [
            'compraProducto',
            'obra',
            'usuario',
        ];
    }

    public function getCompraProducto()
    {
        return $this->hasMany(CompraProducto::class, ['idCompra' => 'id']);
    }

    public function getObra()
    {
        return $this->hasOne(Obra::class, ['id' => 'idObra']);
    }

    public function getUsuario()
    {
        return $this->hasOne(Usuario::class, ['id' => 'idUsuario']);
    }
}
