<?php

namespace v1\models;

use app\models\ConceptosObra as ModeloConceptosObra;

class ConceptosObra extends ModeloConceptosObra
{

    public function fields()
    {
        return [
            'id',
            'idPartida',
            'concepto',
            'estatus',
            'descripcion',
            'creado',
            'modificado',

        ];
    }
    public function extraFields() {
        return [
            'partida',
        ];
    }
    public function getPartida()
    {
        return $this->hasOne(Partida::class, ['id' => 'idPartida']);
    }
}
