<?php

use yii\db\Migration;

/**
 * Class m240927_170414_Agregar_idUsuario_en_incidentes
 */
class m240927_170414_Agregar_idUsuario_en_incidentes extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('Incidente', 'idUsuario', $this->string(36));
        $this->addForeignKey('IncidenteUsuarioFK', 'Incidente', 'idUsuario', 'Usuario', 'id');

    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('IncidenteUsuarioFK', 'Incidente');
        $this->dropColumn('Incidente', 'idUsuario');

    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m240927_170414_Agregar_idUsuario_en_incidentes cannot be reverted.\n";

        return false;
    }
    */
}
