<?php

namespace v1\models;

use app\models\ObraRubro as ModeloObraRubro;

class ObraRubro extends ModeloObraRubro {

	public function fields() {
		return [
			'id',
			'idObra',
			'idConceptoObra',
			'cantidad',
			'descripcion',
			'fechaCompra',
			'creado',
			'modificado',
			'eliminado',
		];
	}
	public function extraFields() {
		return [
			'conceptoObra',
			'obra'
		];
	}

	public function getConceptoObra() {
		return $this->hasOne(ConceptosObra::class, ['id' => 'idConceptoObra']);
	}

	public function getObra() {
		return $this->hasOne(Obra::class, ['id' => 'idObra']);
	}
}
